Skip to main content
GET
Search preventive maintenance schedules

Authorizations

Authorization
string
header
required

Use a valid JWT token in the Authorization header with the format 'Bearer {token}'

Query Parameters

FilterBy
string

Format: Field[Operator]value. Combine conditions with && or ||; parentheses group conditions. Wrap the entire value in double quotes when it contains (, ), &&, or ||: Field[Operator]"whole value". Within a quoted value, the only supported escapes are " and \. Supported fields: Asset.Code, Asset.Name, AssetId, Cause.Name, CauseId, CreatedAt, CreatedBy, DeletedAt, Enabled, ExternalReference, Frequency, GenerationPolicy, Id, LastModifiedAt, LastModifiedBy, LastRunAt, Name, NextRunAt, RunCount, SkippedCount.

SortBy
string

Comma-separated field names. Prefix a field with - for descending order. Supported fields: Asset.Code, Asset.Name, AssetId, Cause.Name, CauseId, CreatedAt, CreatedBy, Enabled, ExternalReference, Frequency, GenerationPolicy, Id, LastModifiedAt, LastModifiedBy, LastRunAt, Name, NextRunAt, RunCount, SkippedCount.

Free-text search. Every word must partially match one of: Asset.Code, Asset.Name, Cause.Name, ExternalReference, Name.

Expand
enum<string>[]
Available options:
Asset,
Cause
PageNumber
integer<int32>
PageSize
integer<int32>

Response

OK

results
object[]
required
pageNumber
integer<int32>
required
totalPages
integer<int32>
required
totalCount
integer<int32>
required
pageSize
integer<int32>
required